<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Formatted PHP Display Records Example</title>
</head>
<body>

<?php
/* Validate and assign input data */
/* As displaying all records does not require any input from the calling webpage, we do not need any input values */


/* Set $isAdministrator to true to turn on the administrator functionality */
/* Set to false to turn off */
$isAdministrator = true; // set to false if this is not the administrator



/* Include "configuration.php" file */
require_once "configuration.php";



/* Connect to the database */
$dbConnection = new PDO("mysql:host=$dbHost;dbname=$dbName", $dbUsername, $dbPassword);
$dbConnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);   // set the PDO error mode to exception



/* Perform query */
$query = "SELECT id, model, colour, year, price FROM toyota";
$statement = $dbConnection->prepare($query);
$statement->execute();



/* Manipulate the query result */
if ($statement->rowCount() > 0)
{
    echo "<table>";
    $result = $statement->fetchAll(PDO::FETCH_OBJ);
    foreach ($result as $row)
    {
        echo "<tr>";
        echo "<td>" . $row->model . "</td><td>" . $row->colour . "</td><td>" . $row->year . "</td><td>" . $row->price . "</td><td>" . $row->id . "</td>";
        if ($isAdministrator)
        {
            echo "<td><a href='update.php?id=" . $row->id .
            "&model=" . $row->model .
            "&colour=" . $row->colour .
            "&year=" . $row->year .
            "&price=" . $row->price . "'>edit</a></td>" .
            "<td><a href='delete.php?id=" . $row->id . "'>delete</a></td>";
        }
        echo "</tr>";
    }
    echo "</table>";
}
echo "<p>" . $statement->rowCount() . " records found.</p>";



/* Provide a link for the user to proceed to a new webpage or automatically redirect to a new webpage */
if ($isAdministrator)
{
    echo "<form action='insert.php'>";
    echo "<input type ='submit' value ='Add New Record'>";
    echo "</form>";
}
?> 
</body>
</html>